spring:
  application:
    name: frontend
  main:
    banner-mode: off

management:
  server:
    port: 8181
  tracing:
    propagation:
      type: b3
    sampling:
      probability: 1.0
    enabled: true
    baggage:
      enabled: true
      remote-fields:
        - x-request-id
        - x-istio-formation-middleware
        - version
  endpoints:
    web:
      exposure:
        include:
          - health
          - prometheus

frontend:
  version: v1
  name: frontend
  maxLatency: 200
  errorRate: 0
  middleware:
    url: http://middleware:8080/
